- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# VariableInfoMap Class Reference

`#include <VariableInfoMap.h>`

Collaboration diagram for VariableInfoMap:

[legend]
List of all members.

## Public Member Functions
| VariableInfoMap ()
| ~VariableInfoMap ()
VariableInfo | get (const string &variableName)
bool | has (const string &variableName)
void | put (const string &variableName, VariableInfo info)
vector< string > | getVariableNames ()

## Detailed Description

This object is a container that collects information about model variables. It can be used to gather type and initial value information from a .hrn and .ini file prior to parsing the actual .xmpl file.

By caching this information ahead of time, it should allow us to use the MIT data structures (which are immutable and require type information up front).

Author:
  M. Pekala

  S. Marshall

Definition at line 40 of file VariableInfoMap.h.

## Constructor & Destructor Documentation

VariableInfoMap::VariableInfoMap | ( |  | ) | `[inline]`

default constructor

Definition at line 60 of file VariableInfoMap.h.

VariableInfoMap::~VariableInfoMap | ( |  | ) | `[inline]`

destructor

Definition at line 63 of file VariableInfoMap.h.

## Member Function Documentation

VariableInfo VariableInfoMap::get | ( | const string & | variableName | ) | `[inline]`

Retrieves the VariableInfo associated with a variable's name.

Definition at line 68 of file VariableInfoMap.h.

bool VariableInfoMap::has | ( | const string & | variableName | ) | `[inline]`

Returns:
  true iff the variable info map contains the specified key

Definition at line 78 of file VariableInfoMap.h.

void VariableInfoMap::put | ( | const string & | variableName,
|  | VariableInfo | info |
| ) |  |  | `[inline]`

A non-operator way to place a value into the map.

Definition at line 95 of file VariableInfoMap.h.

vector<string> VariableInfoMap::getVariableNames | ( |  | ) | `[inline]`

Returns:
  the variable names in the map

Definition at line 103 of file VariableInfoMap.h.

The documentation for this class was generated from the following file:

- /Users/fpy/titan-1-5-MBARI/Mers/Models/CCA/Io/Xmpl/VariableInfoMap.h